Debian Bug report logs - #562649
live-helper: Can't create an image of anything newer than lenny

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Tony Houghton <h@realh.co.uk>

Date: Sat, 26 Dec 2009 18:42:01 UTC

Severity: normal

Found in version live-helper/2.0~a3-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#562649; Package live-helper. (Sat, 26 Dec 2009 18:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tony Houghton <h@realh.co.uk>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 26 Dec 2009 18:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tony Houghton <h@realh.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: Can't create an image of anything newer than lenny
Date: Sat, 26 Dec 2009 18:40:29 +0000
Package: live-helper
Version: 2.0~a3-1
Severity: normal


If I use "lh_config -d sid ..." lh_build fails with:

...
: Hit http://ftp.de.debian.org sid Release.gpg
: Hit http://ftp.de.debian.org sid Release
: Hit http://ftp.de.debian.org sid/main Packages/DiffIndex
: Get:1 http://ftp.de.debian.org sid/contrib Packages/DiffIndex [2023B]
: Get:2 http://ftp.de.debian.org sid/non-free Packages/DiffIndex [2023B]
: Fetched 4046B in 1s (3966B/s)  
: Reading package lists... Done
: P: Configuring file /etc/kernel-img.conf
: P: Begin executing preseed...
: P: Begin executing local preseeds...
: P: Begin installing tasks...
: P: Begin queueing installation of packages lists...
: P: Begin queueing installation of packages...
: P: Begin queueing installation of local packages...
: P: Begin installing packages...
: Reading package lists... Done
: Building dependency tree... Done
: E: Couldn't find package aufs-tools
: P: Begin unmounting filesystems...

aufs-tools isn't available in sid or squeeze, only in lenny. I guess
the reason for this isn't that aufs-tools is obsolete, but that it isn't
considered necessary to make the same version available in 3 areas of
the repos. Unfortunately I can't find any way to make live-helper use
lenny (and/or squeeze) in addition to sid.

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.20     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-8     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools                    3.0.7-1    utilities for making and checking 
ii  fakeroot                      1.14.4-1   Gives a fake root environment
ii  genisoimage                   9:1.1.10-1 Creates ISO-9660 CD-ROM filesystem
ii  grub-legacy [grub]            0.97-59    GRand Unified Bootloader (Legacy v
ii  memtest86+                    4.00-2.1   thorough real-mode memory tester
ii  mtools                        4.0.10-1   Tools for manipulating MSDOS files
pn  parted                        <none>     (no description available)
pn  squashfs-tools | genext2fs |  <none>     (no description available)
ii  sudo                          1.7.2p1-1  Provide limited super user privile
pn  uuid-runtime                  <none>     (no description available)
pn  win32-loader                  <none>     (no description available)

-- no debconf information




Reply sent to daniel@debian.org:
You have taken responsibility. (Sat, 26 Dec 2009 19:03:04 GMT) Full text and rfc822 format available.

Notification sent to Tony Houghton <h@realh.co.uk>:
Bug acknowledged by developer. (Sat, 26 Dec 2009 19:03:04 GMT) Full text and rfc822 format available.

Message #10 received at 562649-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 562649-submitter@bugs.debian.org
Cc: 562649-done@bugs.debian.org
Subject: Re: live-helper: Can't create an image of anything newer than lenny
Date: Sat, 26 Dec 2009 20:01:45 +0100
there's no automatic selection of aufs-tools, means:
there's no bug, you just should fix your config tree.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Message sent on to Tony Houghton <h@realh.co.uk>:
Bug#562649. (Sat, 26 Dec 2009 19:03:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jan 2010 07:32:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:46:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.